# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDOList

Packages that use CDOList
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOList in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOList
Modifier and Type
Method
Description
`CDOList`
CDODataInput.`readCDOList(EClass owner, EStructuralFeature feature)`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOList
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOList(EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk)`

## Uses of CDOList in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOList
Modifier and Type
Method
Description
`CDOList`
CDOListFactory.`createList(int intitialCapacity, int size, int initialChunk)`
`CDOList`
CDORevisionData.`getListOrNull(EStructuralFeature feature)`

## Uses of CDOList in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOList
Modifier and Type
Method
Description
`CDOList`
CDODataInputImpl.`readCDOList(EClass owner, EStructuralFeature feature)`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOList
Modifier and Type
Method
Description
`static void`
CDODataOutputImpl.`writeCDOList(CDODataOutput out, EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk, UnaryOperator<CDOID> idConverter)`
`void`
CDODataOutputImpl.`writeCDOList(EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk)`

## Uses of CDOList in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDOList in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDOList`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalCDOList.ConfigurableEquality`
A mix-in interface for `InternalCDOList` that allows to optimize the speed of equality checks.
Methods in org.eclipse.emf.cdo.spi.common.revision that return CDOList
Modifier and Type
Method
Description
`CDOList`
AbstractCDORevision.`getList(EStructuralFeature feature)`
Deprecated.
`CDOList`
AbstractCDORevision.`getList(EStructuralFeature feature, int initialCapacity)`
Deprecated.
`CDOList`
DelegatingCDORevision.`getList(EStructuralFeature feature)`
Deprecated.
`CDOList`
DelegatingCDORevision.`getList(EStructuralFeature feature, int initialCapacity)`
Deprecated.
`CDOList`
InternalCDORevision.`getList(EStructuralFeature feature)`
Deprecated.
As of 4.7 use either `CDORevisionData.getListOrNull(EStructuralFeature)` or `InternalCDORevision.getOrCreateList(EStructuralFeature)`.
`CDOList`
InternalCDORevision.`getList(EStructuralFeature feature, int initialCapacity)`
Deprecated.
As of 4.7 use either `CDORevisionData.getListOrNull(EStructuralFeature)` or `InternalCDORevision.getOrCreateList(EStructuralFeature, int)`.
`CDOList`
BaseCDORevision.`getListOrNull(EStructuralFeature feature)`
`CDOList`
DelegatingCDORevision.`getListOrNull(EStructuralFeature feature)`
`CDOList`
StubCDORevision.`getListOrNull(EStructuralFeature feature)`
`CDOList`
BaseCDORevision.`getOrCreateList(EStructuralFeature feature)`
`CDOList`
BaseCDORevision.`getOrCreateList(EStructuralFeature feature, int size)`
`CDOList`
DelegatingCDORevision.`getOrCreateList(EStructuralFeature feature)`
`CDOList`
DelegatingCDORevision.`getOrCreateList(EStructuralFeature feature, int size)`
`CDOList`
InternalCDORevision.`getOrCreateList(EStructuralFeature feature)`
Same as `getOrCreateList(feature, 0)`.
`CDOList`
InternalCDORevision.`getOrCreateList(EStructuralFeature feature, int initialCapacity)`
Returns the list that represents the passed feature, possibly creates it if needed.
`CDOList`
StubCDORevision.`getOrCreateList(EStructuralFeature feature)`
`CDOList`
StubCDORevision.`getOrCreateList(EStructuralFeature feature, int size)`

## Uses of CDOList in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view with parameters of type CDOList
Modifier and Type
Method
Description
`List<CDOID>`
CDORevisionPrefetchingPolicy.`loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`